#version 330 core

layout(location=0) in vec3 normal;
layout(location=1) in vec2 uv;
layout(location=2) in vec3 position;

out vec3 worldNormal;
out vec2 texCoord;

uniform mat4 model;
uniform mat4 view_proj;

void main()
{
    gl_Position = view_proj * model * vec4(position, 1);
	texCoord = uv;
	worldNormal = (model * vec4(normal,0)).xyz;
}

