#version 330 core

layout(location=0) in vec3 normal;
layout(location=1) in vec2 uv;
layout(location=2) in vec3 position;

out vec3 fragVert;
out vec2 fragTexCoord;
out vec3 fragNormal;
out vec4 ShadowCoord;

uniform mat4 model;
uniform mat4 DepthBiasMVP;
uniform mat4 view_proj;

void main()
{
	// Pass some variables to the fragment shader
    fragTexCoord = uv;
    fragNormal = normal;
    fragVert = position;

	ShadowCoord = DepthBiasMVP * vec4(position,1);
	
	gl_Position = view_proj * model * vec4(position, 1);
}

